Subject: Re: [PATCH v2 2/3] dt-bindings: arm: fsl: Add devicetree binding for Oxalis

From: Shawn Guo <[email-masked]>
Date: Wed, 16 Jan 2019 10:21:01 +0800

On Mon, Jan 14, 2019 at 12:02:47PM -0600, Rob Herring wrote:
> On Mon, Jan 14, 2019 at 4:21 AM Manivannan Sadhasivam
> <[email-masked]> wrote:
> >
> > Add devicetree binding for Oxalis board in JSON format. While adding
> > that, let's fix the description for LS1012A also.
> >
> > Signed-off-by: Manivannan Sadhasivam <[email-masked]>
> > ---
> >  Documentation/devicetree/bindings/arm/fsl.yaml | 3 ++-
> >  1 file changed, 2 insertions(+), 1 deletion(-)
> >
> > diff --git a/Documentation/devicetree/bindings/arm/fsl.yaml b/Documentation/devicetree/bindings/arm/fsl.yaml
> > index d34fe0749199..0f30142fe316 100644
> > --- a/Documentation/devicetree/bindings/arm/fsl.yaml
> > +++ b/Documentation/devicetree/bindings/arm/fsl.yaml
> > @@ -173,12 +173,13 @@ properties:
> >                - fsl,vf610
> >                - fsl,vf610m4
> >
> > -      - description: LS1021A based Boards
> > +      - description: LS1012A based Boards
> 
> Well, yes that was wrong...
> 
> >          items:
> >            - enum:
> >                - fsl,ls1012a-rdb
> >                - fsl,ls1012a-frdm
> >                - fsl,ls1012a-qds
> > +              - ebs-systart,oxalis
> 
> Sort alphabetically.
> 
> >            - const: fsl,ls1021a
> 
> And this is wrong too.
> 
> I you just change it, then we will be missing an entry for LS1021A.
> What's the status of that SoC because there is no board dts file? We
> should not have .dtsi files in the kernel which don't get built.

Hmm, I do not see any LS1021A SoC .dtsi in the tree.  I suspect it's
just a typo of LS1012A.

@Leo, do we have a LS1021A SoC?

Shawn

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel